Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageSeedConnectivity Class Reference

`#include <vtkImageSeedConnectivity.h>`

Inheritance diagram for vtkImageSeedConnectivity:

[legend]
Collaboration diagram for vtkImageSeedConnectivity:

[legend]
List of all members.

## Detailed Description

SeedConnectivity with user defined seeds.

Date:
  2002/12/11 14:26:22

Revision:
  1.30

vtkImageSeedConnectivity marks pixels connected to user supplied seeds. The input must be unsigned char, and the output is also unsigned char. If a seed supplied by the user does not have pixel value "InputTrueValue", then the image is scanned +x, +y, +z until a pixel is encountered with value "InputTrueValue". This new pixel is used as the seed . Any pixel with out value "InputTrueValue" is consider off. The output pixels values are 0 for any off pixel in input, "OutputTrueValue" for any pixels connected to seeds, and "OutputUnconnectedValue" for any on pixels not connected to seeds. The same seeds are used for all images in the image set.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (68%)
  - Martin, Ken (17%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageSeedConnectivity.h)`
  - .`cxx` (`/Imaging/vtkImageSeedConnectivity.cxx)`

Tests:
  vtkImageSeedConnectivity (Tests)

Definition at line 56 of file vtkImageSeedConnectivity.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | RemoveAllSeeds ()
void | AddSeed (int num, int *index)
void | AddSeed (int i0, int i1, int i2)
void | AddSeed (int i0, int i1)
virtual void | SetInputConnectValue (int)
virtual int | GetInputConnectValue ()
virtual void | SetOutputConnectedValue (int)
virtual int | GetOutputConnectedValue ()
virtual void | SetOutputUnconnectedValue (int)
virtual int | GetOutputUnconnectedValue ()
virtual vtkImageConnector * | GetConnector ()
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageSeedConnectivity * | New ()
int | IsTypeOf (const char *type)
vtkImageSeedConnectivity * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageSeedConnectivity ()
| ~vtkImageSeedConnectivity ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
void | ExecuteData (vtkDataObject *out)
## Protected Attributes
unsigned char | InputConnectValue
unsigned char | OutputConnectedValue
unsigned char | OutputUnconnectedValue
vtkImageConnectorSeed * | Seeds
vtkImageConnector * | Connector
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageSeedConnectivity::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 60 of file vtkImageSeedConnectivity.h.

## Constructor & Destructor Documentation

vtkImageSeedConnectivity::vtkImageSeedConnectivity | ( |  | ) | `[protected]`

vtkImageSeedConnectivity::~vtkImageSeedConnectivity | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImageSeedConnectivity* vtkImageSeedConnectivity::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageSeedConnectivity::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageSeedConnectivity::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageSeedConnectivity::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageSeedConnectivity* vtkImageSeedConnectivity::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageSeedConnectivity::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

void vtkImageSeedConnectivity::RemoveAllSeeds | ( |  | ) |

| Methods for manipulating the seed pixels.

void vtkImageSeedConnectivity::AddSeed | ( | int | num,
|  | int * | index
| ) |

| Methods for manipulating the seed pixels.

void vtkImageSeedConnectivity::AddSeed | ( | int | i0,
|  | int | i1,
|  | int | i2
| ) |

| Methods for manipulating the seed pixels.

void vtkImageSeedConnectivity::AddSeed | ( | int | i0,
|  | int | i1
| ) |

| Methods for manipulating the seed pixels.

virtual void vtkImageSeedConnectivity::SetInputConnectValue | ( | int |  | ) | `[virtual]`

| Set/Get what value is considered as connecting pixels.

virtual int vtkImageSeedConnectivity::GetInputConnectValue | ( |  | ) | `[virtual]`

| Set/Get what value is considered as connecting pixels.

virtual void vtkImageSeedConnectivity::SetOutputConnectedValue | ( | int |  | ) | `[virtual]`

| Set/Get the value to set connected pixels to.

virtual int vtkImageSeedConnectivity::GetOutputConnectedValue | ( |  | ) | `[virtual]`

| Set/Get the value to set connected pixels to.

virtual void vtkImageSeedConnectivity::SetOutputUnconnectedValue | ( | int |  | ) | `[virtual]`

| Set/Get the value to set unconnected pixels to.

virtual int vtkImageSeedConnectivity::GetOutputUnconnectedValue | ( |  | ) | `[virtual]`

| Set/Get the value to set unconnected pixels to.

virtual vtkImageConnector* vtkImageSeedConnectivity::GetConnector | ( |  | ) | `[virtual]`

| Get the vtkImageCOnnector used by this filter.

virtual void vtkImageSeedConnectivity::SetDimensionality | ( | int |  | ) | `[virtual]`

| Set the number of axes to use in connectivity.

virtual int vtkImageSeedConnectivity::GetDimensionality | ( |  | ) | `[virtual]`

| Set the number of axes to use in connectivity.

void vtkImageSeedConnectivity::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkImageToImageFilter.

void vtkImageSeedConnectivity::ExecuteData | ( | vtkDataObject * | out | ) | `[protected]`

| Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

unsigned char vtkImageSeedConnectivity::InputConnectValue`[protected]`

| Definition at line 104 of file vtkImageSeedConnectivity.h.

unsigned char vtkImageSeedConnectivity::OutputConnectedValue`[protected]`

| Definition at line 105 of file vtkImageSeedConnectivity.h.

unsigned char vtkImageSeedConnectivity::OutputUnconnectedValue`[protected]`

| Definition at line 106 of file vtkImageSeedConnectivity.h.

vtkImageConnectorSeed* vtkImageSeedConnectivity::Seeds`[protected]`

| Definition at line 107 of file vtkImageSeedConnectivity.h.

vtkImageConnector* vtkImageSeedConnectivity::Connector`[protected]`

| Definition at line 108 of file vtkImageSeedConnectivity.h.

int vtkImageSeedConnectivity::Dimensionality`[protected]`

| Definition at line 109 of file vtkImageSeedConnectivity.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageSeedConnectivity.h